<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::acl::TransportFactoryInterface Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1acl.html">acl</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_transport_factory_interface.html">TransportFactoryInterface</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classalexa_client_s_d_k_1_1acl_1_1_transport_factory_interface-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::acl::TransportFactoryInterface Class Reference<span class="mlabels"><span class="mlabel">abstract</span></span></div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_transport_factory_interface_8h_source.html">TransportFactoryInterface.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for alexaClientSDK::acl::TransportFactoryInterface:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1acl_1_1_transport_factory_interface__inherit__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1acl_1_1_transport_factory_interface_inherit__map" alt="Inheritance graph"/></div>
<map name="alexa_client_s_d_k_1_1acl_1_1_transport_factory_interface_inherit__map" id="alexa_client_s_d_k_1_1acl_1_1_transport_factory_interface_inherit__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1acl_1_1_h_t_t_p2_transport_factory.html" title="alexaClientSDK::acl\l::HTTP2TransportFactory" alt="" coords="244,5,416,44"/>
<area shape="rect" id="node3" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mock_transport_factory.html" title="alexaClientSDK::acl\l::test::MockTransportFactory" alt="" coords="235,68,425,107"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a94a430f740493840163f1b59929bfb72"><td class="memItemLeft" align="right" valign="top">virtual std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_transport_interface.html">TransportInterface</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_transport_factory_interface.html#a94a430f740493840163f1b59929bfb72">createTransport</a> (std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_delegate_interface.html">avsCommon::sdkInterfaces::AuthDelegateInterface</a> &gt; authDelegate, std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_manager.html">avsCommon::avs::attachment::AttachmentManager</a> &gt; attachmentManager, const std::string &amp;avsEndpoint, std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_message_consumer_interface.html">MessageConsumerInterface</a> &gt; messageConsumerInterface, std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_transport_observer_interface.html">TransportObserverInterface</a> &gt; transportObserverInterface)=0</td></tr>
<tr class="separator:a94a430f740493840163f1b59929bfb72"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abce14a16a18e09608b424ed632888180"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_transport_factory_interface.html#abce14a16a18e09608b424ed632888180">~TransportFactoryInterface</a> ()=default</td></tr>
<tr class="separator:abce14a16a18e09608b424ed632888180"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p class="">This is the interface for the transport factory </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="abce14a16a18e09608b424ed632888180"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abce14a16a18e09608b424ed632888180">&#9670;&nbsp;</a></span>~TransportFactoryInterface()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual alexaClientSDK::acl::TransportFactoryInterface::~TransportFactoryInterface </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Destructor. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a94a430f740493840163f1b59929bfb72"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a94a430f740493840163f1b59929bfb72">&#9670;&nbsp;</a></span>createTransport()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_transport_interface.html">TransportInterface</a>&gt; alexaClientSDK::acl::TransportFactoryInterface::createTransport </td>
          <td>(</td>
          <td class="paramtype">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_delegate_interface.html">avsCommon::sdkInterfaces::AuthDelegateInterface</a> &gt;&#160;</td>
          <td class="paramname"><em>authDelegate</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_manager.html">avsCommon::avs::attachment::AttachmentManager</a> &gt;&#160;</td>
          <td class="paramname"><em>attachmentManager</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>avsEndpoint</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_message_consumer_interface.html">MessageConsumerInterface</a> &gt;&#160;</td>
          <td class="paramname"><em>messageConsumerInterface</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_transport_observer_interface.html">TransportObserverInterface</a> &gt;&#160;</td>
          <td class="paramname"><em>transportObserverInterface</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Creates a new transport.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">authDelegate</td><td>The AuthDelegateInterface to use for authentication and authorization with AVS. </td></tr>
    <tr><td class="paramname">avsEndpoint</td><td>The URL for the AVS server we will connect to. </td></tr>
    <tr><td class="paramname">messageConsumerInterface</td><td>The object which should be notified on messages which arrive from AVS. </td></tr>
    <tr><td class="paramname">transportObserverInterface</td><td>A pointer to the transport observer the new transport should notify. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>A new <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_message_router.html">MessageRouter</a> object. </dd></dl>

<p>Implemented in <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_h_t_t_p2_transport_factory.html#a919d5c212539d8cbfc06501890aff41d">alexaClientSDK::acl::HTTP2TransportFactory</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/workplace/avs-device-sdk/ACL/include/ACL/Transport/<a class="el" href="_transport_factory_interface_8h_source.html">TransportFactoryInterface.h</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
